Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portlet
Class PortletCategoryIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoryID>
              com.bea.portal.tools.portal.portlet.PortletCategoryIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PortletCategoryIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoryID>

Builds and parses `PortletCategoryID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortletCategoryIDBuilder()` Constructor.

Method Summary
`PortletCategoryID` | `createResourceID()` Create the `PortletCategoryDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent portlet category.
`PortletCategoryID` | `getParentPortletCategoryID()` Get the parent `PortletCategoryID`.
`PortletCategoryDefinitionId` | `getPortletCategoryDefinitionId()` Get the `PortletCategoryDefinitionId`.
`PortletCategoryIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortletCategoryIDBuilder` | `setId(Integer id)` Change the identifier of the referrent portlet category.
`PortletCategoryIDBuilder` | `setParentPortletCategoryID(PortletCategoryID parentPortletCategoryID)` Change the parent `PortletCategoryID`.
`PortletCategoryIDBuilder` | `setPortletCategoryDefinitionId(PortletCategoryDefinitionId portletCategoryDefinitionId)` Change the `PortletCategoryDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletCategoryIDBuilder

    public PortletCategoryIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PortletCategoryIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PortletCategoryDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoryID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getParentPortletCategoryID

    public PortletCategoryID getParentPortletCategoryID()

  Get the parent `PortletCategoryID`.

  Returns
    the parent `PortletCategoryID`

### setParentPortletCategoryID

    public PortletCategoryIDBuilder setParentPortletCategoryID(PortletCategoryID parentPortletCategoryID)

  Change the parent `PortletCategoryID`.

  Parameters
    `parentPortletCategoryID` - the parent `PortletCategoryID`
  Returns
    this `PortletCategoryIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent portlet category.

  Returns
    the identifier of the referrent portlet category

### setId

    public PortletCategoryIDBuilder setId(Integer id)

  Change the identifier of the referrent portlet category.

  Parameters
    `id` - the identifier of the referrent portlet category
  Returns
    this `PortletCategoryIDBuilder`

### getPortletCategoryDefinitionId

    public PortletCategoryDefinitionId getPortletCategoryDefinitionId()

  Get the `PortletCategoryDefinitionId`.

  Returns
    the `PortletCategoryDefinitionId`

### setPortletCategoryDefinitionId

    public PortletCategoryIDBuilder setPortletCategoryDefinitionId(PortletCategoryDefinitionId portletCategoryDefinitionId)

  Change the `PortletCategoryDefinitionId`.

  Parameters
    `portletCategoryDefinitionId` - the `PortletCategoryDefinitionId`
  Returns
    this `PortletCategoryDefinitionIDBuilder`

### createResourceID

    public PortletCategoryID createResourceID()

  Create the `PortletCategoryDefinitionsID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PortletCategoryID>`
  Returns
    the `PortletCategoryDefinitionsID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.